package com.yonge.cooleshow.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * IM群发接收方式
 * Created by Eric.Shang on 2022/12/9.
 */
@Getter
public enum EImReceiveType implements BaseEnum<String, EImReceiveType> {

    ALL("全部"),
    PORTION("一部分"),
    ;

    @EnumValue
    private final String code;

    private final String msg;

    EImReceiveType(String msg) {
        this.msg = msg;

        this.code = this.name();
    }
}
